Package org.h2gis.functions.spatial.generalize

## Class ST_SimplifyPreserveTopology

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.generalize.ST_SimplifyPreserveTopology

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_SimplifyPreserveTopology
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_SimplifyPreserveTopology()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `simplyPreserve​(org.locationtech.jts.geom.Geometry geometry, double distance)` Simplifies a geometry and ensures that the result is a valid geometry having the same dimension and number of components as the input, and with the components having the same topological relationship.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_SimplifyPreserveTopology

    public ST_SimplifyPreserveTopology()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### simplyPreserve

    public static org.locationtech.jts.geom.Geometry simplyPreserve​(org.locationtech.jts.geom.Geometry geometry,
                                                                    double distance)

Simplifies a geometry and ensures that the result is a valid geometry having the same dimension and number of components as the input, and with the components having the same topological relationship.

Parameters:
  `geometry` -
  `distance` -
Returns: